#include <stdio.h>
#include <net/if.h>
#include <linux/sockios.h>

main(int argc, char **argv)
{
	int fd = socket(AF_INET, SOCK_DGRAM, 0);
	struct ifreq ifr;

	if (argc < 2)
		goto oops;
	argc--; argv++;

	strcpy(ifr.ifr_name, argv[0]);
	
	if (ioctl(fd, SIOCDEVPRIVATE+0xE, &ifr))
		goto oops;

	exit(0);

oops:
	fprintf(stderr, "Something is wrong, sorry\n");
	exit(-1);
}
